# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: atlas/api/atlas.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from atlas.api import post_pb2 as atlas_dot_api_dot_post__pb2
from atlas.api import comment_pb2 as atlas_dot_api_dot_comment__pb2
from atlas.api import report_pb2 as atlas_dot_api_dot_report__pb2
from atlas.api import like_pb2 as atlas_dot_api_dot_like__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='atlas/api/atlas.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\x15\x61tlas/api/atlas.proto\x12\x07weclikd\x1a\x14\x61tlas/api/post.proto\x1a\x17\x61tlas/api/comment.proto\x1a\x16\x61tlas/api/report.proto\x1a\x14\x61tlas/api/like.proto\"\x81\x02\n\x11\x43reatePostRequest\x12\r\n\x05title\x18\x01 \x01(\t\x12\x0f\n\x07summary\x18\x02 \x01(\t\x12\x0c\n\x04text\x18\x03 \x01(\t\x12\x0b\n\x03url\x18\x04 \x01(\t\x12\r\n\x05\x63liks\x18\x05 \x03(\t\x12\x0e\n\x06topics\x18\x06 \x03(\t\x12\x11\n\ttopic_ids\x18\x07 \x03(\x04\x12\x1c\n\x14thumbnail_picture_id\x18\x08 \x01(\x04\x12\x13\n\x0bpicture_ids\x18\t \x03(\x04\x12\x15\n\rall_topic_ids\x18\n \x03(\x04\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x0b \x01(\x04\x12\x10\n\x08icon_url\x18\x0c \x01(\t\x12\x12\n\nother_urls\x18\r \x03(\t\"1\n\x12\x43reatePostResponse\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\"M\n\x14\x43reateCommentRequest\x12\x19\n\x11parent_content_id\x18\x01 \x01(\x04\x12\x0c\n\x04text\x18\x02 \x01(\t\x12\x0c\n\x04\x63lik\x18\x03 \x01(\t\":\n\x15\x43reateCommentResponse\x12!\n\x07\x63omment\x18\x01 \x01(\x0b\x32\x10.weclikd.Comment\"T\n\x0fGetPostsRequest\x12\x0b\n\x03ids\x18\x01 \x03(\x04\x12\x34\n\x11\x64iscussion_filter\x18\x02 \x01(\x0b\x32\x19.weclikd.DiscussionFilter\"0\n\x10GetPostsResponse\x12\x1c\n\x05posts\x18\x01 \x03(\x0b\x32\r.weclikd.Post\"W\n\x12GetCommentsRequest\x12\x0b\n\x03ids\x18\x01 \x03(\x04\x12\x34\n\x11\x64iscussion_filter\x18\x02 \x01(\x0b\x32\x19.weclikd.DiscussionFilter\"9\n\x13GetCommentsResponse\x12\"\n\x08\x63omments\x18\x01 \x03(\x0b\x32\x10.weclikd.Comment\"q\n\x14GetDiscussionRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x0f\n\x07\x63lik_id\x18\x02 \x01(\x04\x12\x34\n\x11\x64iscussion_filter\x18\x03 \x01(\x0b\x32\x19.weclikd.DiscussionFilter\"@\n\x15GetDiscussionResponse\x12\'\n\ndiscussion\x18\x01 \x01(\x0b\x32\x13.weclikd.Discussion\"\xda\x01\n\x0eGetFeedRequest\x12\x0e\n\x04home\x18\x01 \x01(\x08H\x00\x12\x11\n\x07user_id\x18\x02 \x01(\x04H\x00\x12\x12\n\x08topic_id\x18\x03 \x01(\x04H\x00\x12\x11\n\x07\x63lik_id\x18\x04 \x01(\x04H\x00\x12\x11\n\x07\x66\x65\x65\x64_id\x18\x05 \x01(\x04H\x00\x12\x34\n\x11\x64iscussion_filter\x18\x06 \x01(\x0b\x32\x19.weclikd.DiscussionFilter\x12(\n\x0b\x66\x65\x65\x64_filter\x18\x07 \x01(\x0b\x32\x13.weclikd.FeedFilterB\x0b\n\tfeed_type\".\n\x0fGetFeedResponse\x12\x1b\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\r.weclikd.Feed\"\xac\x01\n\x14RemoveContentRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x38\n\x08severity\x18\x02 \x01(\x0e\x32&.weclikd.RemoveContentRequest.Severity\x12\x0f\n\x07message\x18\x03 \x01(\t\"5\n\x08Severity\x12\x0b\n\x07UNKNOWN\x10\x00\x12\x0b\n\x07WARNING\x10\x01\x12\x0f\n\x0bINSTANT_BAN\x10\x04\"\x17\n\x15RemoveContentResponse\"\xc5\x01\n\x0f\x45\x64itPostRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\r\n\x05title\x18\x02 \x01(\t\x12\x0f\n\x07summary\x18\x03 \x01(\t\x12\x0c\n\x04text\x18\x04 \x01(\t\x12\x0b\n\x03url\x18\x05 \x01(\t\x12\x0e\n\x06topics\x18\x06 \x03(\t\x12\x11\n\ttopic_ids\x18\x07 \x03(\x04\x12\r\n\x05\x63liks\x18\x08 \x03(\t\x12\x1c\n\x14thumbnail_picture_id\x18\t \x01(\x04\x12\x13\n\x0bpicture_ids\x18\n \x03(\x04\"\x12\n\x10\x45\x64itPostResponse\"6\n\x12\x45\x64itCommentRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x0c\n\x04text\x18\x02 \x01(\t\"\x15\n\x13\x45\x64itCommentResponse\"H\n\x10MergePostRequest\x12\x17\n\x0f\x63ontent_id_main\x18\x01 \x01(\x04\x12\x1b\n\x13\x63ontent_id_children\x18\x02 \x03(\x04\"0\n\x11MergePostResponse\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\"$\n\x15GetPostFromUrlRequest\x12\x0b\n\x03url\x18\x01 \x01(\t\"5\n\x16GetPostFromUrlResponse\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\"X\n\x10SharePostRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x0e\n\x06topics\x18\x02 \x03(\t\x12\x11\n\ttopic_ids\x18\x03 \x03(\x04\x12\r\n\x05\x63liks\x18\x04 \x03(\t\"0\n\x11SharePostResponse\x12\x1b\n\x04post\x18\x01 \x01(\x0b\x32\r.weclikd.Post\"W\n\x12UnsharePostRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12\x0e\n\x04\x63lik\x18\x02 \x01(\tH\x00\x12\x0f\n\x05topic\x18\x03 \x01(\tH\x00\x42\x0c\n\nunshare_to\"\x15\n\x13UnsharePostResponse\"L\n\x14ReportContentRequest\x12\x12\n\ncontent_id\x18\x01 \x01(\x04\x12 \n\x07reports\x18\x02 \x03(\x0b\x32\x0f.weclikd.Report\"\x17\n\x15ReportContentResponse\"O\n\x12LikeContentRequest\x12%\n\x04type\x18\x01 \x01(\x0e\x32\x17.weclikd.Likes.LikeType\x12\x12\n\ncontent_id\x18\x02 \x01(\x04\"\x15\n\x13LikeContentResponse\"\x16\n\x14RefreshScoresRequest\"\x17\n\x15RefreshScoresResponse2\xdd\x07\n\x05\x41tlas\x12G\n\nCreatePost\x12\x1a.weclikd.CreatePostRequest\x1a\x1b.weclikd.CreatePostResponse\"\x00\x12P\n\rCreateComment\x12\x1d.weclikd.CreateCommentRequest\x1a\x1e.weclikd.CreateCommentResponse\"\x00\x12\x41\n\x08GetPosts\x12\x18.weclikd.GetPostsRequest\x1a\x19.weclikd.GetPostsResponse\"\x00\x12J\n\x0bGetComments\x12\x1b.weclikd.GetCommentsRequest\x1a\x1c.weclikd.GetCommentsResponse\"\x00\x12S\n\x0eGetPostFromUrl\x12\x1e.weclikd.GetPostFromUrlRequest\x1a\x1f.weclikd.GetPostFromUrlResponse\"\x00\x12P\n\rGetDiscussion\x12\x1d.weclikd.GetDiscussionRequest\x1a\x1e.weclikd.GetDiscussionResponse\"\x00\x12>\n\x07GetFeed\x12\x17.weclikd.GetFeedRequest\x1a\x18.weclikd.GetFeedResponse\"\x00\x12P\n\rRemoveContent\x12\x1d.weclikd.RemoveContentRequest\x1a\x1e.weclikd.RemoveContentResponse\"\x00\x12\x41\n\x08\x45\x64itPost\x12\x18.weclikd.EditPostRequest\x1a\x19.weclikd.EditPostResponse\"\x00\x12J\n\x0b\x45\x64itComment\x12\x1b.weclikd.EditCommentRequest\x1a\x1c.weclikd.EditCommentResponse\"\x00\x12\x44\n\tSharePost\x12\x19.weclikd.SharePostRequest\x1a\x1a.weclikd.SharePostResponse\"\x00\x12P\n\rReportContent\x12\x1d.weclikd.ReportContentRequest\x1a\x1e.weclikd.ReportContentResponse\"\x00\x12J\n\x0bLikeContent\x12\x1b.weclikd.LikeContentRequest\x1a\x1c.weclikd.LikeContentResponse\"\x00\x62\x06proto3'
  ,
  dependencies=[atlas_dot_api_dot_post__pb2.DESCRIPTOR,atlas_dot_api_dot_comment__pb2.DESCRIPTOR,atlas_dot_api_dot_report__pb2.DESCRIPTOR,atlas_dot_api_dot_like__pb2.DESCRIPTOR,])



_REMOVECONTENTREQUEST_SEVERITY = _descriptor.EnumDescriptor(
  name='Severity',
  full_name='weclikd.RemoveContentRequest.Severity',
  filename=None,
  file=DESCRIPTOR,
  create_key=_descriptor._internal_create_key,
  values=[
    _descriptor.EnumValueDescriptor(
      name='UNKNOWN', index=0, number=0,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='WARNING', index=1, number=1,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
    _descriptor.EnumValueDescriptor(
      name='INSTANT_BAN', index=2, number=4,
      serialized_options=None,
      type=None,
      create_key=_descriptor._internal_create_key),
  ],
  containing_type=None,
  serialized_options=None,
  serialized_start=1431,
  serialized_end=1484,
)
_sym_db.RegisterEnumDescriptor(_REMOVECONTENTREQUEST_SEVERITY)


_CREATEPOSTREQUEST = _descriptor.Descriptor(
  name='CreatePostRequest',
  full_name='weclikd.CreatePostRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.CreatePostRequest.title', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.CreatePostRequest.summary', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='text', full_name='weclikd.CreatePostRequest.text', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.CreatePostRequest.url', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cliks', full_name='weclikd.CreatePostRequest.cliks', index=4,
      number=5, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topics', full_name='weclikd.CreatePostRequest.topics', index=5,
      number=6, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_ids', full_name='weclikd.CreatePostRequest.topic_ids', index=6,
      number=7, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_picture_id', full_name='weclikd.CreatePostRequest.thumbnail_picture_id', index=7,
      number=8, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='picture_ids', full_name='weclikd.CreatePostRequest.picture_ids', index=8,
      number=9, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='all_topic_ids', full_name='weclikd.CreatePostRequest.all_topic_ids', index=9,
      number=10, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.CreatePostRequest.feed_id', index=10,
      number=11, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='icon_url', full_name='weclikd.CreatePostRequest.icon_url', index=11,
      number=12, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='other_urls', full_name='weclikd.CreatePostRequest.other_urls', index=12,
      number=13, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=128,
  serialized_end=385,
)


_CREATEPOSTRESPONSE = _descriptor.Descriptor(
  name='CreatePostResponse',
  full_name='weclikd.CreatePostResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.CreatePostResponse.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=387,
  serialized_end=436,
)


_CREATECOMMENTREQUEST = _descriptor.Descriptor(
  name='CreateCommentRequest',
  full_name='weclikd.CreateCommentRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='parent_content_id', full_name='weclikd.CreateCommentRequest.parent_content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='text', full_name='weclikd.CreateCommentRequest.text', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik', full_name='weclikd.CreateCommentRequest.clik', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=438,
  serialized_end=515,
)


_CREATECOMMENTRESPONSE = _descriptor.Descriptor(
  name='CreateCommentResponse',
  full_name='weclikd.CreateCommentResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='comment', full_name='weclikd.CreateCommentResponse.comment', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=517,
  serialized_end=575,
)


_GETPOSTSREQUEST = _descriptor.Descriptor(
  name='GetPostsRequest',
  full_name='weclikd.GetPostsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='ids', full_name='weclikd.GetPostsRequest.ids', index=0,
      number=1, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion_filter', full_name='weclikd.GetPostsRequest.discussion_filter', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=577,
  serialized_end=661,
)


_GETPOSTSRESPONSE = _descriptor.Descriptor(
  name='GetPostsResponse',
  full_name='weclikd.GetPostsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='posts', full_name='weclikd.GetPostsResponse.posts', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=663,
  serialized_end=711,
)


_GETCOMMENTSREQUEST = _descriptor.Descriptor(
  name='GetCommentsRequest',
  full_name='weclikd.GetCommentsRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='ids', full_name='weclikd.GetCommentsRequest.ids', index=0,
      number=1, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion_filter', full_name='weclikd.GetCommentsRequest.discussion_filter', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=713,
  serialized_end=800,
)


_GETCOMMENTSRESPONSE = _descriptor.Descriptor(
  name='GetCommentsResponse',
  full_name='weclikd.GetCommentsResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='comments', full_name='weclikd.GetCommentsResponse.comments', index=0,
      number=1, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=802,
  serialized_end=859,
)


_GETDISCUSSIONREQUEST = _descriptor.Descriptor(
  name='GetDiscussionRequest',
  full_name='weclikd.GetDiscussionRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.GetDiscussionRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.GetDiscussionRequest.clik_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion_filter', full_name='weclikd.GetDiscussionRequest.discussion_filter', index=2,
      number=3, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=861,
  serialized_end=974,
)


_GETDISCUSSIONRESPONSE = _descriptor.Descriptor(
  name='GetDiscussionResponse',
  full_name='weclikd.GetDiscussionResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='discussion', full_name='weclikd.GetDiscussionResponse.discussion', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=976,
  serialized_end=1040,
)


_GETFEEDREQUEST = _descriptor.Descriptor(
  name='GetFeedRequest',
  full_name='weclikd.GetFeedRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='home', full_name='weclikd.GetFeedRequest.home', index=0,
      number=1, type=8, cpp_type=7, label=1,
      has_default_value=False, default_value=False,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='user_id', full_name='weclikd.GetFeedRequest.user_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_id', full_name='weclikd.GetFeedRequest.topic_id', index=2,
      number=3, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik_id', full_name='weclikd.GetFeedRequest.clik_id', index=3,
      number=4, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.GetFeedRequest.feed_id', index=4,
      number=5, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='discussion_filter', full_name='weclikd.GetFeedRequest.discussion_filter', index=5,
      number=6, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='feed_filter', full_name='weclikd.GetFeedRequest.feed_filter', index=6,
      number=7, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='feed_type', full_name='weclikd.GetFeedRequest.feed_type',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=1043,
  serialized_end=1261,
)


_GETFEEDRESPONSE = _descriptor.Descriptor(
  name='GetFeedResponse',
  full_name='weclikd.GetFeedResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.GetFeedResponse.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1263,
  serialized_end=1309,
)


_REMOVECONTENTREQUEST = _descriptor.Descriptor(
  name='RemoveContentRequest',
  full_name='weclikd.RemoveContentRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.RemoveContentRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='severity', full_name='weclikd.RemoveContentRequest.severity', index=1,
      number=2, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='message', full_name='weclikd.RemoveContentRequest.message', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
    _REMOVECONTENTREQUEST_SEVERITY,
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1312,
  serialized_end=1484,
)


_REMOVECONTENTRESPONSE = _descriptor.Descriptor(
  name='RemoveContentResponse',
  full_name='weclikd.RemoveContentResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1486,
  serialized_end=1509,
)


_EDITPOSTREQUEST = _descriptor.Descriptor(
  name='EditPostRequest',
  full_name='weclikd.EditPostRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.EditPostRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.EditPostRequest.title', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.EditPostRequest.summary', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='text', full_name='weclikd.EditPostRequest.text', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.EditPostRequest.url', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topics', full_name='weclikd.EditPostRequest.topics', index=5,
      number=6, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_ids', full_name='weclikd.EditPostRequest.topic_ids', index=6,
      number=7, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cliks', full_name='weclikd.EditPostRequest.cliks', index=7,
      number=8, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='thumbnail_picture_id', full_name='weclikd.EditPostRequest.thumbnail_picture_id', index=8,
      number=9, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='picture_ids', full_name='weclikd.EditPostRequest.picture_ids', index=9,
      number=10, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1512,
  serialized_end=1709,
)


_EDITPOSTRESPONSE = _descriptor.Descriptor(
  name='EditPostResponse',
  full_name='weclikd.EditPostResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1711,
  serialized_end=1729,
)


_EDITCOMMENTREQUEST = _descriptor.Descriptor(
  name='EditCommentRequest',
  full_name='weclikd.EditCommentRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.EditCommentRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='text', full_name='weclikd.EditCommentRequest.text', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1731,
  serialized_end=1785,
)


_EDITCOMMENTRESPONSE = _descriptor.Descriptor(
  name='EditCommentResponse',
  full_name='weclikd.EditCommentResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1787,
  serialized_end=1808,
)


_MERGEPOSTREQUEST = _descriptor.Descriptor(
  name='MergePostRequest',
  full_name='weclikd.MergePostRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id_main', full_name='weclikd.MergePostRequest.content_id_main', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='content_id_children', full_name='weclikd.MergePostRequest.content_id_children', index=1,
      number=2, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1810,
  serialized_end=1882,
)


_MERGEPOSTRESPONSE = _descriptor.Descriptor(
  name='MergePostResponse',
  full_name='weclikd.MergePostResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.MergePostResponse.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1884,
  serialized_end=1932,
)


_GETPOSTFROMURLREQUEST = _descriptor.Descriptor(
  name='GetPostFromUrlRequest',
  full_name='weclikd.GetPostFromUrlRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.GetPostFromUrlRequest.url', index=0,
      number=1, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1934,
  serialized_end=1970,
)


_GETPOSTFROMURLRESPONSE = _descriptor.Descriptor(
  name='GetPostFromUrlResponse',
  full_name='weclikd.GetPostFromUrlResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.GetPostFromUrlResponse.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=1972,
  serialized_end=2025,
)


_SHAREPOSTREQUEST = _descriptor.Descriptor(
  name='SharePostRequest',
  full_name='weclikd.SharePostRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.SharePostRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topics', full_name='weclikd.SharePostRequest.topics', index=1,
      number=2, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic_ids', full_name='weclikd.SharePostRequest.topic_ids', index=2,
      number=3, type=4, cpp_type=4, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='cliks', full_name='weclikd.SharePostRequest.cliks', index=3,
      number=4, type=9, cpp_type=9, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2027,
  serialized_end=2115,
)


_SHAREPOSTRESPONSE = _descriptor.Descriptor(
  name='SharePostResponse',
  full_name='weclikd.SharePostResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='post', full_name='weclikd.SharePostResponse.post', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2117,
  serialized_end=2165,
)


_UNSHAREPOSTREQUEST = _descriptor.Descriptor(
  name='UnsharePostRequest',
  full_name='weclikd.UnsharePostRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.UnsharePostRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='clik', full_name='weclikd.UnsharePostRequest.clik', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='topic', full_name='weclikd.UnsharePostRequest.topic', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
    _descriptor.OneofDescriptor(
      name='unshare_to', full_name='weclikd.UnsharePostRequest.unshare_to',
      index=0, containing_type=None,
      create_key=_descriptor._internal_create_key,
    fields=[]),
  ],
  serialized_start=2167,
  serialized_end=2254,
)


_UNSHAREPOSTRESPONSE = _descriptor.Descriptor(
  name='UnsharePostResponse',
  full_name='weclikd.UnsharePostResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2256,
  serialized_end=2277,
)


_REPORTCONTENTREQUEST = _descriptor.Descriptor(
  name='ReportContentRequest',
  full_name='weclikd.ReportContentRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.ReportContentRequest.content_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='reports', full_name='weclikd.ReportContentRequest.reports', index=1,
      number=2, type=11, cpp_type=10, label=3,
      has_default_value=False, default_value=[],
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2279,
  serialized_end=2355,
)


_REPORTCONTENTRESPONSE = _descriptor.Descriptor(
  name='ReportContentResponse',
  full_name='weclikd.ReportContentResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2357,
  serialized_end=2380,
)


_LIKECONTENTREQUEST = _descriptor.Descriptor(
  name='LikeContentRequest',
  full_name='weclikd.LikeContentRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='type', full_name='weclikd.LikeContentRequest.type', index=0,
      number=1, type=14, cpp_type=8, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='content_id', full_name='weclikd.LikeContentRequest.content_id', index=1,
      number=2, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2382,
  serialized_end=2461,
)


_LIKECONTENTRESPONSE = _descriptor.Descriptor(
  name='LikeContentResponse',
  full_name='weclikd.LikeContentResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2463,
  serialized_end=2484,
)


_REFRESHSCORESREQUEST = _descriptor.Descriptor(
  name='RefreshScoresRequest',
  full_name='weclikd.RefreshScoresRequest',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2486,
  serialized_end=2508,
)


_REFRESHSCORESRESPONSE = _descriptor.Descriptor(
  name='RefreshScoresResponse',
  full_name='weclikd.RefreshScoresResponse',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=2510,
  serialized_end=2533,
)

_CREATEPOSTRESPONSE.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_CREATECOMMENTRESPONSE.fields_by_name['comment'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_GETPOSTSREQUEST.fields_by_name['discussion_filter'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSIONFILTER
_GETPOSTSRESPONSE.fields_by_name['posts'].message_type = atlas_dot_api_dot_post__pb2._POST
_GETCOMMENTSREQUEST.fields_by_name['discussion_filter'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSIONFILTER
_GETCOMMENTSRESPONSE.fields_by_name['comments'].message_type = atlas_dot_api_dot_comment__pb2._COMMENT
_GETDISCUSSIONREQUEST.fields_by_name['discussion_filter'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSIONFILTER
_GETDISCUSSIONRESPONSE.fields_by_name['discussion'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSION
_GETFEEDREQUEST.fields_by_name['discussion_filter'].message_type = atlas_dot_api_dot_comment__pb2._DISCUSSIONFILTER
_GETFEEDREQUEST.fields_by_name['feed_filter'].message_type = atlas_dot_api_dot_post__pb2._FEEDFILTER
_GETFEEDREQUEST.oneofs_by_name['feed_type'].fields.append(
  _GETFEEDREQUEST.fields_by_name['home'])
_GETFEEDREQUEST.fields_by_name['home'].containing_oneof = _GETFEEDREQUEST.oneofs_by_name['feed_type']
_GETFEEDREQUEST.oneofs_by_name['feed_type'].fields.append(
  _GETFEEDREQUEST.fields_by_name['user_id'])
_GETFEEDREQUEST.fields_by_name['user_id'].containing_oneof = _GETFEEDREQUEST.oneofs_by_name['feed_type']
_GETFEEDREQUEST.oneofs_by_name['feed_type'].fields.append(
  _GETFEEDREQUEST.fields_by_name['topic_id'])
_GETFEEDREQUEST.fields_by_name['topic_id'].containing_oneof = _GETFEEDREQUEST.oneofs_by_name['feed_type']
_GETFEEDREQUEST.oneofs_by_name['feed_type'].fields.append(
  _GETFEEDREQUEST.fields_by_name['clik_id'])
_GETFEEDREQUEST.fields_by_name['clik_id'].containing_oneof = _GETFEEDREQUEST.oneofs_by_name['feed_type']
_GETFEEDREQUEST.oneofs_by_name['feed_type'].fields.append(
  _GETFEEDREQUEST.fields_by_name['feed_id'])
_GETFEEDREQUEST.fields_by_name['feed_id'].containing_oneof = _GETFEEDREQUEST.oneofs_by_name['feed_type']
_GETFEEDRESPONSE.fields_by_name['feed'].message_type = atlas_dot_api_dot_post__pb2._FEED
_REMOVECONTENTREQUEST.fields_by_name['severity'].enum_type = _REMOVECONTENTREQUEST_SEVERITY
_REMOVECONTENTREQUEST_SEVERITY.containing_type = _REMOVECONTENTREQUEST
_MERGEPOSTRESPONSE.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_GETPOSTFROMURLRESPONSE.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_SHAREPOSTRESPONSE.fields_by_name['post'].message_type = atlas_dot_api_dot_post__pb2._POST
_UNSHAREPOSTREQUEST.oneofs_by_name['unshare_to'].fields.append(
  _UNSHAREPOSTREQUEST.fields_by_name['clik'])
_UNSHAREPOSTREQUEST.fields_by_name['clik'].containing_oneof = _UNSHAREPOSTREQUEST.oneofs_by_name['unshare_to']
_UNSHAREPOSTREQUEST.oneofs_by_name['unshare_to'].fields.append(
  _UNSHAREPOSTREQUEST.fields_by_name['topic'])
_UNSHAREPOSTREQUEST.fields_by_name['topic'].containing_oneof = _UNSHAREPOSTREQUEST.oneofs_by_name['unshare_to']
_REPORTCONTENTREQUEST.fields_by_name['reports'].message_type = atlas_dot_api_dot_report__pb2._REPORT
_LIKECONTENTREQUEST.fields_by_name['type'].enum_type = atlas_dot_api_dot_like__pb2._LIKES_LIKETYPE
DESCRIPTOR.message_types_by_name['CreatePostRequest'] = _CREATEPOSTREQUEST
DESCRIPTOR.message_types_by_name['CreatePostResponse'] = _CREATEPOSTRESPONSE
DESCRIPTOR.message_types_by_name['CreateCommentRequest'] = _CREATECOMMENTREQUEST
DESCRIPTOR.message_types_by_name['CreateCommentResponse'] = _CREATECOMMENTRESPONSE
DESCRIPTOR.message_types_by_name['GetPostsRequest'] = _GETPOSTSREQUEST
DESCRIPTOR.message_types_by_name['GetPostsResponse'] = _GETPOSTSRESPONSE
DESCRIPTOR.message_types_by_name['GetCommentsRequest'] = _GETCOMMENTSREQUEST
DESCRIPTOR.message_types_by_name['GetCommentsResponse'] = _GETCOMMENTSRESPONSE
DESCRIPTOR.message_types_by_name['GetDiscussionRequest'] = _GETDISCUSSIONREQUEST
DESCRIPTOR.message_types_by_name['GetDiscussionResponse'] = _GETDISCUSSIONRESPONSE
DESCRIPTOR.message_types_by_name['GetFeedRequest'] = _GETFEEDREQUEST
DESCRIPTOR.message_types_by_name['GetFeedResponse'] = _GETFEEDRESPONSE
DESCRIPTOR.message_types_by_name['RemoveContentRequest'] = _REMOVECONTENTREQUEST
DESCRIPTOR.message_types_by_name['RemoveContentResponse'] = _REMOVECONTENTRESPONSE
DESCRIPTOR.message_types_by_name['EditPostRequest'] = _EDITPOSTREQUEST
DESCRIPTOR.message_types_by_name['EditPostResponse'] = _EDITPOSTRESPONSE
DESCRIPTOR.message_types_by_name['EditCommentRequest'] = _EDITCOMMENTREQUEST
DESCRIPTOR.message_types_by_name['EditCommentResponse'] = _EDITCOMMENTRESPONSE
DESCRIPTOR.message_types_by_name['MergePostRequest'] = _MERGEPOSTREQUEST
DESCRIPTOR.message_types_by_name['MergePostResponse'] = _MERGEPOSTRESPONSE
DESCRIPTOR.message_types_by_name['GetPostFromUrlRequest'] = _GETPOSTFROMURLREQUEST
DESCRIPTOR.message_types_by_name['GetPostFromUrlResponse'] = _GETPOSTFROMURLRESPONSE
DESCRIPTOR.message_types_by_name['SharePostRequest'] = _SHAREPOSTREQUEST
DESCRIPTOR.message_types_by_name['SharePostResponse'] = _SHAREPOSTRESPONSE
DESCRIPTOR.message_types_by_name['UnsharePostRequest'] = _UNSHAREPOSTREQUEST
DESCRIPTOR.message_types_by_name['UnsharePostResponse'] = _UNSHAREPOSTRESPONSE
DESCRIPTOR.message_types_by_name['ReportContentRequest'] = _REPORTCONTENTREQUEST
DESCRIPTOR.message_types_by_name['ReportContentResponse'] = _REPORTCONTENTRESPONSE
DESCRIPTOR.message_types_by_name['LikeContentRequest'] = _LIKECONTENTREQUEST
DESCRIPTOR.message_types_by_name['LikeContentResponse'] = _LIKECONTENTRESPONSE
DESCRIPTOR.message_types_by_name['RefreshScoresRequest'] = _REFRESHSCORESREQUEST
DESCRIPTOR.message_types_by_name['RefreshScoresResponse'] = _REFRESHSCORESRESPONSE
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreatePostRequest = _reflection.GeneratedProtocolMessageType('CreatePostRequest', (_message.Message,), {
  'DESCRIPTOR' : _CREATEPOSTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreatePostRequest)
  })
_sym_db.RegisterMessage(CreatePostRequest)

CreatePostResponse = _reflection.GeneratedProtocolMessageType('CreatePostResponse', (_message.Message,), {
  'DESCRIPTOR' : _CREATEPOSTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreatePostResponse)
  })
_sym_db.RegisterMessage(CreatePostResponse)

CreateCommentRequest = _reflection.GeneratedProtocolMessageType('CreateCommentRequest', (_message.Message,), {
  'DESCRIPTOR' : _CREATECOMMENTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateCommentRequest)
  })
_sym_db.RegisterMessage(CreateCommentRequest)

CreateCommentResponse = _reflection.GeneratedProtocolMessageType('CreateCommentResponse', (_message.Message,), {
  'DESCRIPTOR' : _CREATECOMMENTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateCommentResponse)
  })
_sym_db.RegisterMessage(CreateCommentResponse)

GetPostsRequest = _reflection.GeneratedProtocolMessageType('GetPostsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETPOSTSREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPostsRequest)
  })
_sym_db.RegisterMessage(GetPostsRequest)

GetPostsResponse = _reflection.GeneratedProtocolMessageType('GetPostsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETPOSTSRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPostsResponse)
  })
_sym_db.RegisterMessage(GetPostsResponse)

GetCommentsRequest = _reflection.GeneratedProtocolMessageType('GetCommentsRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETCOMMENTSREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetCommentsRequest)
  })
_sym_db.RegisterMessage(GetCommentsRequest)

GetCommentsResponse = _reflection.GeneratedProtocolMessageType('GetCommentsResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETCOMMENTSRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetCommentsResponse)
  })
_sym_db.RegisterMessage(GetCommentsResponse)

GetDiscussionRequest = _reflection.GeneratedProtocolMessageType('GetDiscussionRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETDISCUSSIONREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetDiscussionRequest)
  })
_sym_db.RegisterMessage(GetDiscussionRequest)

GetDiscussionResponse = _reflection.GeneratedProtocolMessageType('GetDiscussionResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETDISCUSSIONRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetDiscussionResponse)
  })
_sym_db.RegisterMessage(GetDiscussionResponse)

GetFeedRequest = _reflection.GeneratedProtocolMessageType('GetFeedRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedRequest)
  })
_sym_db.RegisterMessage(GetFeedRequest)

GetFeedResponse = _reflection.GeneratedProtocolMessageType('GetFeedResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETFEEDRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetFeedResponse)
  })
_sym_db.RegisterMessage(GetFeedResponse)

RemoveContentRequest = _reflection.GeneratedProtocolMessageType('RemoveContentRequest', (_message.Message,), {
  'DESCRIPTOR' : _REMOVECONTENTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RemoveContentRequest)
  })
_sym_db.RegisterMessage(RemoveContentRequest)

RemoveContentResponse = _reflection.GeneratedProtocolMessageType('RemoveContentResponse', (_message.Message,), {
  'DESCRIPTOR' : _REMOVECONTENTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RemoveContentResponse)
  })
_sym_db.RegisterMessage(RemoveContentResponse)

EditPostRequest = _reflection.GeneratedProtocolMessageType('EditPostRequest', (_message.Message,), {
  'DESCRIPTOR' : _EDITPOSTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditPostRequest)
  })
_sym_db.RegisterMessage(EditPostRequest)

EditPostResponse = _reflection.GeneratedProtocolMessageType('EditPostResponse', (_message.Message,), {
  'DESCRIPTOR' : _EDITPOSTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditPostResponse)
  })
_sym_db.RegisterMessage(EditPostResponse)

EditCommentRequest = _reflection.GeneratedProtocolMessageType('EditCommentRequest', (_message.Message,), {
  'DESCRIPTOR' : _EDITCOMMENTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditCommentRequest)
  })
_sym_db.RegisterMessage(EditCommentRequest)

EditCommentResponse = _reflection.GeneratedProtocolMessageType('EditCommentResponse', (_message.Message,), {
  'DESCRIPTOR' : _EDITCOMMENTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditCommentResponse)
  })
_sym_db.RegisterMessage(EditCommentResponse)

MergePostRequest = _reflection.GeneratedProtocolMessageType('MergePostRequest', (_message.Message,), {
  'DESCRIPTOR' : _MERGEPOSTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.MergePostRequest)
  })
_sym_db.RegisterMessage(MergePostRequest)

MergePostResponse = _reflection.GeneratedProtocolMessageType('MergePostResponse', (_message.Message,), {
  'DESCRIPTOR' : _MERGEPOSTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.MergePostResponse)
  })
_sym_db.RegisterMessage(MergePostResponse)

GetPostFromUrlRequest = _reflection.GeneratedProtocolMessageType('GetPostFromUrlRequest', (_message.Message,), {
  'DESCRIPTOR' : _GETPOSTFROMURLREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPostFromUrlRequest)
  })
_sym_db.RegisterMessage(GetPostFromUrlRequest)

GetPostFromUrlResponse = _reflection.GeneratedProtocolMessageType('GetPostFromUrlResponse', (_message.Message,), {
  'DESCRIPTOR' : _GETPOSTFROMURLRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.GetPostFromUrlResponse)
  })
_sym_db.RegisterMessage(GetPostFromUrlResponse)

SharePostRequest = _reflection.GeneratedProtocolMessageType('SharePostRequest', (_message.Message,), {
  'DESCRIPTOR' : _SHAREPOSTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.SharePostRequest)
  })
_sym_db.RegisterMessage(SharePostRequest)

SharePostResponse = _reflection.GeneratedProtocolMessageType('SharePostResponse', (_message.Message,), {
  'DESCRIPTOR' : _SHAREPOSTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.SharePostResponse)
  })
_sym_db.RegisterMessage(SharePostResponse)

UnsharePostRequest = _reflection.GeneratedProtocolMessageType('UnsharePostRequest', (_message.Message,), {
  'DESCRIPTOR' : _UNSHAREPOSTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnsharePostRequest)
  })
_sym_db.RegisterMessage(UnsharePostRequest)

UnsharePostResponse = _reflection.GeneratedProtocolMessageType('UnsharePostResponse', (_message.Message,), {
  'DESCRIPTOR' : _UNSHAREPOSTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnsharePostResponse)
  })
_sym_db.RegisterMessage(UnsharePostResponse)

ReportContentRequest = _reflection.GeneratedProtocolMessageType('ReportContentRequest', (_message.Message,), {
  'DESCRIPTOR' : _REPORTCONTENTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ReportContentRequest)
  })
_sym_db.RegisterMessage(ReportContentRequest)

ReportContentResponse = _reflection.GeneratedProtocolMessageType('ReportContentResponse', (_message.Message,), {
  'DESCRIPTOR' : _REPORTCONTENTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ReportContentResponse)
  })
_sym_db.RegisterMessage(ReportContentResponse)

LikeContentRequest = _reflection.GeneratedProtocolMessageType('LikeContentRequest', (_message.Message,), {
  'DESCRIPTOR' : _LIKECONTENTREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.LikeContentRequest)
  })
_sym_db.RegisterMessage(LikeContentRequest)

LikeContentResponse = _reflection.GeneratedProtocolMessageType('LikeContentResponse', (_message.Message,), {
  'DESCRIPTOR' : _LIKECONTENTRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.LikeContentResponse)
  })
_sym_db.RegisterMessage(LikeContentResponse)

RefreshScoresRequest = _reflection.GeneratedProtocolMessageType('RefreshScoresRequest', (_message.Message,), {
  'DESCRIPTOR' : _REFRESHSCORESREQUEST,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RefreshScoresRequest)
  })
_sym_db.RegisterMessage(RefreshScoresRequest)

RefreshScoresResponse = _reflection.GeneratedProtocolMessageType('RefreshScoresResponse', (_message.Message,), {
  'DESCRIPTOR' : _REFRESHSCORESRESPONSE,
  '__module__' : 'atlas.api.atlas_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.RefreshScoresResponse)
  })
_sym_db.RegisterMessage(RefreshScoresResponse)



_ATLAS = _descriptor.ServiceDescriptor(
  name='Atlas',
  full_name='weclikd.Atlas',
  file=DESCRIPTOR,
  index=0,
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_start=2536,
  serialized_end=3525,
  methods=[
  _descriptor.MethodDescriptor(
    name='CreatePost',
    full_name='weclikd.Atlas.CreatePost',
    index=0,
    containing_service=None,
    input_type=_CREATEPOSTREQUEST,
    output_type=_CREATEPOSTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='CreateComment',
    full_name='weclikd.Atlas.CreateComment',
    index=1,
    containing_service=None,
    input_type=_CREATECOMMENTREQUEST,
    output_type=_CREATECOMMENTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPosts',
    full_name='weclikd.Atlas.GetPosts',
    index=2,
    containing_service=None,
    input_type=_GETPOSTSREQUEST,
    output_type=_GETPOSTSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetComments',
    full_name='weclikd.Atlas.GetComments',
    index=3,
    containing_service=None,
    input_type=_GETCOMMENTSREQUEST,
    output_type=_GETCOMMENTSRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetPostFromUrl',
    full_name='weclikd.Atlas.GetPostFromUrl',
    index=4,
    containing_service=None,
    input_type=_GETPOSTFROMURLREQUEST,
    output_type=_GETPOSTFROMURLRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetDiscussion',
    full_name='weclikd.Atlas.GetDiscussion',
    index=5,
    containing_service=None,
    input_type=_GETDISCUSSIONREQUEST,
    output_type=_GETDISCUSSIONRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='GetFeed',
    full_name='weclikd.Atlas.GetFeed',
    index=6,
    containing_service=None,
    input_type=_GETFEEDREQUEST,
    output_type=_GETFEEDRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='RemoveContent',
    full_name='weclikd.Atlas.RemoveContent',
    index=7,
    containing_service=None,
    input_type=_REMOVECONTENTREQUEST,
    output_type=_REMOVECONTENTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='EditPost',
    full_name='weclikd.Atlas.EditPost',
    index=8,
    containing_service=None,
    input_type=_EDITPOSTREQUEST,
    output_type=_EDITPOSTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='EditComment',
    full_name='weclikd.Atlas.EditComment',
    index=9,
    containing_service=None,
    input_type=_EDITCOMMENTREQUEST,
    output_type=_EDITCOMMENTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='SharePost',
    full_name='weclikd.Atlas.SharePost',
    index=10,
    containing_service=None,
    input_type=_SHAREPOSTREQUEST,
    output_type=_SHAREPOSTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='ReportContent',
    full_name='weclikd.Atlas.ReportContent',
    index=11,
    containing_service=None,
    input_type=_REPORTCONTENTREQUEST,
    output_type=_REPORTCONTENTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
  _descriptor.MethodDescriptor(
    name='LikeContent',
    full_name='weclikd.Atlas.LikeContent',
    index=12,
    containing_service=None,
    input_type=_LIKECONTENTREQUEST,
    output_type=_LIKECONTENTRESPONSE,
    serialized_options=None,
    create_key=_descriptor._internal_create_key,
  ),
])
_sym_db.RegisterServiceDescriptor(_ATLAS)

DESCRIPTOR.services_by_name['Atlas'] = _ATLAS

# @@protoc_insertion_point(module_scope)
